---
# Cop supports --autocorrect.
Lint/SymbolConversion:
  Exclude:
    - 'app/controllers/admin/application_settings_controller.rb'
    - 'app/controllers/groups_controller.rb'
    - 'app/controllers/projects/issues_controller.rb'
    - 'app/controllers/projects_controller.rb'
    - 'app/controllers/uploads_controller.rb'
    - 'app/graphql/mutations/members/bulk_update_base.rb'
    - 'app/graphql/mutations/snippets/base.rb'
    - 'app/graphql/resolvers/award_emoji/base_votes_count_resolver.rb'
    - 'app/graphql/resolvers/environments/last_deployment_resolver.rb'
    - 'app/graphql/resolvers/user_discussions_count_resolver.rb'
    - 'app/graphql/resolvers/user_notes_count_resolver.rb'
    - 'app/helpers/breadcrumbs_helper.rb'
    - 'app/helpers/notifications_helper.rb'
    - 'app/helpers/projects_helper.rb'
    - 'app/models/application_record.rb'
    - 'app/models/concerns/cache_markdown_field.rb'
    - 'app/models/concerns/featurable.rb'
    - 'app/models/concerns/file_store_mounter.rb'
    - 'app/models/concerns/packages/debian/component_file.rb'
    - 'app/models/concerns/packages/debian/distribution.rb'
    - 'app/models/concerns/participable.rb'
    - 'app/models/packages/conan/metadatum.rb'
    - 'app/models/packages/debian/file_entry.rb'
    - 'app/models/work_items/widgets/assignees.rb'
    - 'app/models/work_items/widgets/base.rb'
    - 'app/presenters/snippet_presenter.rb'
    - 'app/services/cloud_seed/google_cloud/create_cloudsql_instance_service.rb'
    - 'app/services/concerns/deploy_token_methods.rb'
    - 'app/services/concerns/rate_limited_service.rb'
    - 'app/services/container_expiration_policies/cleanup_service.rb'
    - 'app/services/labels/find_or_create_service.rb'
    - 'app/services/merge_requests/update_service.rb'
    - 'app/services/notification_recipients/builder/default.rb'
    - 'app/services/notification_service.rb'
    - 'app/workers/project_export_worker.rb'
    - 'ee/app/components/billing/plan_component.rb'
    - 'ee/app/controllers/projects/security/scanned_resources_controller.rb'
    - 'ee/app/graphql/ee/resolvers/projects/branch_rules_resolver.rb'
    - 'ee/app/graphql/types/ci/jobs_duration_statistics_type.rb'
    - 'ee/app/models/concerns/ee/protected_branch.rb'
    - 'ee/app/models/geo_node_status.rb'
    - 'ee/app/policies/ee/group_policy.rb'
    - 'ee/app/policies/ee/project_policy.rb'
    - 'ee/app/serializers/integrations/zentao_serializers/issue_entity.rb'
    - 'ee/app/serializers/report_list_entity.rb'
    - 'ee/app/services/security/security_orchestration_policies/ci_action/base.rb'
    - 'ee/app/services/vulnerabilities/manually_create_service.rb'
    - 'ee/app/workers/security/store_scans_worker.rb'
    - 'ee/db/fixtures/development/35_merge_request_predictions.rb'
    - 'ee/lib/api/concerns/dependency_proxy/packages_helpers.rb'
    - 'ee/lib/ee/api/helpers.rb'
    - 'ee/lib/elastic/latest/note_class_proxy.rb'
    - 'ee/lib/gitlab/applied_ml/suggested_reviewers/client.rb'
    - 'ee/lib/gitlab/elastic/search_results.rb'
    - 'ee/lib/gitlab/geo/replicator.rb'
    - 'ee/lib/gitlab/graphql/aggregations/epics/epic_node.rb'
    - 'ee/lib/search/zoekt/search_results.rb'
    - 'ee/spec/controllers/admin/audit_logs_controller_spec.rb'
    - 'ee/spec/controllers/groups/audit_events_controller_spec.rb'
    - 'ee/spec/controllers/projects/audit_events_controller_spec.rb'
    - 'ee/spec/factories/ci/builds.rb'
    - 'ee/spec/factories/ci/pipelines.rb'
    - 'ee/spec/features/groups/analytics/cycle_analytics/charts_spec.rb'
    - 'ee/spec/features/groups/analytics/cycle_analytics/filters_and_data_spec.rb'
    - 'ee/spec/features/groups/analytics/cycle_analytics/multiple_value_streams_spec.rb'
    - 'ee/spec/helpers/billing_plans_helper_spec.rb'
    - 'ee/spec/helpers/push_rules_helper_spec.rb'
    - 'ee/spec/models/concerns/elastic/repository_spec.rb'
    - 'ee/spec/models/plan_spec.rb'
    - 'ee/spec/models/project_feature_spec.rb'
    - 'ee/spec/requests/api/analytics/product_analytics_spec.rb'
    - 'ee/spec/requests/api/dependency_proxy/packages/npm_spec.rb'
    - 'ee/spec/requests/api/graphql/audit_events/streaming/headers/create_spec.rb'
    - 'ee/spec/requests/api/graphql/audit_events/streaming/headers/destroy_spec.rb'
    - 'ee/spec/requests/api/graphql/audit_events/streaming/headers/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/external_audit_event_destinations/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/external_audit_event_destinations/destroy_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/external_audit_event_destinations/update_spec.rb'
    - 'ee/spec/requests/api/scim/group_scim_spec.rb'
    - 'ee/spec/requests/api/scim/instance_scim_spec.rb'
    - 'ee/spec/services/elastic/data_migration_service_spec.rb'
    - 'ee/spec/services/phone_verification/users/send_verification_code_service_spec.rb'
    - 'ee/spec/services/security/security_orchestration_policies/scan_pipeline_service_spec.rb'
    - 'ee/spec/services/security/token_revocation_service_spec.rb'
    - 'ee/spec/support/helpers/subscription_portal_helpers.rb'
    - 'ee/spec/support/matchers/ee/epic_aggregate_matchers.rb'
    - 'ee/spec/support/shared_examples/google_cloud_platform/artifact_registry/services_shared_examples.rb'
    - 'ee/spec/support/shared_examples/status_page/image_post_process_examples.rb'
    - 'lib/api/entities/entity_helpers.rb'
    - 'lib/api/helpers/notes_helpers.rb'
    - 'lib/api/time_tracking_endpoints.rb'
    - 'lib/api/todos.rb'
    - 'lib/banzai/filter/references/abstract_reference_filter.rb'
    - 'lib/banzai/filter/references/reference_cache.rb'
    - 'lib/banzai/reference_parser/issuable_parser.rb'
    - 'lib/gitlab/application_rate_limiter.rb'
    - 'lib/gitlab/auth/activity.rb'
    - 'lib/gitlab/auth/o_auth/user.rb'
    - 'lib/gitlab/ci/ansi2html.rb'
    - 'lib/gitlab/ci/artifacts/metrics.rb'
    - 'lib/gitlab/ci/config/external/mapper/base.rb'
    - 'lib/gitlab/database/migration_helpers/cascading_namespace_settings.rb'
    - 'lib/gitlab/database/query_analyzers/base.rb'
    - 'lib/gitlab/graphql/markdown_field.rb'
    - 'lib/gitlab/import_export/project/relation_factory.rb'
    - 'lib/gitlab/kubernetes/kube_client.rb'
    - 'lib/gitlab/legacy_github_import/importer.rb'
    - 'lib/gitlab/mail_room/authenticator.rb'
    - 'lib/gitlab/metrics.rb'
    - 'lib/gitlab/metrics/subscribers/active_record.rb'
    - 'lib/gitlab/metrics/transaction.rb'
    - 'lib/gitlab/usage_data/topology.rb'
    - 'lib/gitlab/usage_data_counters/base_counter.rb'
    - 'lib/gitlab/usage_data_counters/note_counter.rb'
    - 'lib/peek/views/detailed_view.rb'
    - 'qa/qa/ee/page/workspace/action.rb'
    - 'qa/qa/ee/page/workspace/list.rb'
    - 'qa/qa/ee/resource/group_web_hook.rb'
    - 'qa/qa/page/admin/applications.rb'
    - 'qa/qa/resource/project_web_hook.rb'
    - 'rubocop/cop/usage_data/large_table.rb'
    - 'spec/controllers/concerns/check_rate_limit_spec.rb'
    - 'spec/controllers/jira_connect/branches_controller_spec.rb'
    - 'spec/controllers/projects_controller_spec.rb'
    - 'spec/factories/ci/reports/codequality_degradations.rb'
    - 'spec/factories/evidences.rb'
    - 'spec/factories/integrations.rb'
    - 'spec/features/file_uploads/graphql_add_design_spec.rb'
    - 'spec/features/projects/new_project_spec.rb'
    - 'spec/graphql/mutations/ci/job_token_scope/remove_project_spec.rb'
    - 'spec/helpers/application_settings_helper_spec.rb'
    - 'spec/helpers/form_helper_spec.rb'
    - 'spec/initializers/sawyer_patch_spec.rb'
    - 'spec/lib/api/entities/nuget/dependency_group_spec.rb'
    - 'spec/lib/api/entities/nuget/dependency_spec.rb'
    - 'spec/lib/api/entities/nuget/metadatum_spec.rb'
    - 'spec/lib/api/entities/nuget/package_metadata_catalog_entry_spec.rb'
    - 'spec/lib/api/entities/nuget/search_result_spec.rb'
    - 'spec/lib/api/helpers/rate_limiter_spec.rb'
    - 'spec/lib/bulk_imports/projects/pipelines/project_feature_pipeline_spec.rb'
    - 'spec/lib/bulk_imports/projects/pipelines/snippets_repository_pipeline_spec.rb'
    - 'spec/lib/constraints/group_url_constrainer_spec.rb'
    - 'spec/lib/constraints/project_url_constrainer_spec.rb'
    - 'spec/lib/constraints/user_url_constrainer_spec.rb'
    - 'spec/lib/container_registry/gitlab_api_client_spec.rb'
    - 'spec/lib/generators/gitlab/usage_metric_definition/redis_hll_generator_spec.rb'
    - 'spec/lib/generators/gitlab/usage_metric_definition_generator_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/job_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/jobs_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/processable_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/accessibility/pa11y_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/codequality/code_climate_spec.rb'
    - 'spec/lib/gitlab/ci/reports/accessibility_reports_spec.rb'
    - 'spec/lib/gitlab/ci/reports/codequality_reports_spec.rb'
    - 'spec/lib/gitlab/ci/yaml_processor_spec.rb'
    - 'spec/lib/google_api/cloud_platform/client_spec.rb'
    - 'spec/lib/service_ping/devops_report_spec.rb'
    - 'spec/models/appearance_spec.rb'
    - 'spec/models/concerns/file_store_mounter_spec.rb'
    - 'spec/models/concerns/project_features_compatibility_spec.rb'
    - 'spec/models/integrations/prometheus_spec.rb'
    - 'spec/models/merge_request_diff_commit_spec.rb'
    - 'spec/models/plan_spec.rb'
    - 'spec/models/project_feature_spec.rb'
    - 'spec/policies/project_policy_spec.rb'
    - 'spec/requests/api/admin/plan_limits_spec.rb'
    - 'spec/requests/api/ci/job_artifacts_spec.rb'
    - 'spec/requests/api/ci/runner/jobs_put_spec.rb'
    - 'spec/requests/api/feature_flags_spec.rb'
    - 'spec/requests/api/group_debian_distributions_spec.rb'
    - 'spec/requests/api/integrations_spec.rb'
    - 'spec/requests/api/maven_packages_spec.rb'
    - 'spec/requests/api/project_debian_distributions_spec.rb'
    - 'spec/requests/api/terraform/state_spec.rb'
    - 'spec/requests/mailgun/webhooks_controller_spec.rb'
    - 'spec/requests/users_controller_spec.rb'
    - 'spec/services/ci/job_artifacts/expire_project_build_artifacts_service_spec.rb'
    - 'spec/services/concerns/rate_limited_service_spec.rb'
    - 'spec/services/design_management/copy_design_collection/copy_service_spec.rb'
    - 'spec/support/helpers/integrations/test_helpers.rb'
    - 'spec/support/helpers/stub_configuration.rb'
    - 'spec/support/shared_examples/features/project_features_apply_to_issuables_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/usage_data_counters/a_redis_counter_shared_examples.rb'
    - 'spec/support/shared_examples/metrics/active_record_subscriber_shared_examples.rb'
    - 'spec/support/shared_examples/models/concerns/cascading_namespace_setting_shared_examples.rb'
    - 'spec/support/shared_examples/models/concerns/cascading_project_setting_shared_examples.rb'
    - 'spec/support/shared_examples/models/concerns/counter_attribute_shared_examples.rb'
    - 'spec/support/shared_examples/models/concerns/featurable_shared_examples.rb'
    - 'spec/support/shared_examples/models/concerns/signature_type_shared_examples.rb'
    - 'spec/support/shared_examples/services/migrate_to_ghost_user_service_shared_examples.rb'
    - 'spec/support/shared_examples/workers/concerns/dependency_proxy/cleanup_worker_shared_examples.rb'
